Kubernetes Run Helm CMDs
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Kubernetes Run Helm CMDs action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Examples
Example: Update action configuration
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "K8s Helm",
"disabled": true,
"type": "HELM",
"trigger_time": "ON_EVERY_EXECUTION",
"trigger_conditions": [
{
"trigger_condition": "ON_CHANGE"
},
{
"trigger_condition": "HOUR",
"trigger_hours": [
8,
9,
10
],
"timezone": "Europe/Warsaw"
}
],
"targets": [
{
"role_arn": "arn:aws:iam::123456789012:role/eks-cluster-service-role",
"region": "eu-central-1",
"identifier": "my_target_id",
"name": "my-target",
"integration": "helm",
"type": "EKS",
"scope": "ACTION",
"tags": [
"olive",
"orange",
"rabsperry"
],
"cluster": "https://192.168.5.226:6443"
}
],
"helm_repository_integration": {
"identifier": "helm"
},
"helm_repository_region": "us-west-2",
"execute_commands": [
"kubectl get namespaces -o=custom-columns=NAME:.metadata.name",
"cat ~/.kube/config"
],
"setup_commands": [
"helm plugin install https://github.com/hypnoglow/helm-s3.git --version 0.7.0",
"helm plugin install https://github.com/hayorov/helm-gcs --version 0.2.1"
],
"helm_version": "v3.10.2",
"variables": [
{
"key": "env_key",
"value": "env_value",
"type": "VAR",
"settable": false,
"run_only_settable": false,
"encrypted": false,
"description": "twcksymvsi"
}
],
"shell": "BASH",
"kubectl_version": "latest",
"timeout": 1800,
"retry_interval": 60,
"retry_count": 5,
"ignore_errors": true,
"current_revision": "476ac9aabbd84af4a8890c4e3519838669e3ee62",
"loop": [
"env_key"
]
}'Example: GKE Run Helm (HELM)
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "K8s Helm",
"disabled": true,
"type": "HELM",
"trigger_time": "ON_EVERY_EXECUTION",
"trigger_conditions": [
{
"trigger_condition": "ON_CHANGE"
},
{
"trigger_condition": "HOUR",
"trigger_hours": [
8,
9,
10
],
"timezone": "Europe/Warsaw"
}
],
"targets": [
{
"role_arn": "arn:aws:iam::123456789012:role/eks-cluster-service-role",
"region": "eu-central-1",
"identifier": "my_target_id",
"name": "my-target",
"integration": "hiqfilrcfx",
"type": "EKS",
"scope": "ACTION",
"tags": [
"olive",
"orange",
"rabsperry"
],
"cluster": "https://192.168.5.226:6443"
}
],
"helm_repository_integration": {
"identifier": "aws"
},
"helm_repository_region": "us-west-2",
"execute_commands": [
"kubectl get namespaces -o=custom-columns=NAME:.metadata.name",
"cat ~/.kube/config"
],
"setup_commands": [
"helm plugin install https://github.com/hypnoglow/helm-s3.git --version 0.7.0",
"helm plugin install https://github.com/hayorov/helm-gcs --version 0.2.1"
],
"helm_version": "v3.10.2",
"variables": [
{
"key": "env_key",
"value": "env_value",
"type": "VAR",
"settable": false,
"run_only_settable": false,
"encrypted": false,
"description": "twcksymvsi"
}
],
"shell": "BASH",
"kubectl_version": "latest",
"timeout": 1800,
"retry_interval": 60,
"retry_count": 5,
"ignore_errors": true,
"current_revision": "21825f31ddce8a89b3ed9f4c92f038b339cde150",
"loop": [
"env_key"
]
}'STATUS200 OK